package com.its.pis.xnettcp.vds.process;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class VdsDataTask {

    @Async("appJobExecutor")
    public void run(VdsDataProcess serverDataProcess, VdsData serverData) {

        serverDataProcess.process(serverData);
    }

}
